//sap.ui.controller("sapui5.amd.demo.main", {
sap.ui.define([ "sap/ui/core/mvc/Controller", "sap/m/MessageToast" ], function(Controller, MessageToast) {
	
	"use strict";
	
	return Controller.extend("sapui5.amd.demo.main", {	

/**
* Called when a controller is instantiated and its View controls (if available) are already created.
* Can be used to modify the View before it is displayed, to bind event handlers and do other one-time initialization.
* @memberOf sapui5.amd.demo.main
*/
	onInit: function() {

		// Get reference to the Core object
		var oCore = sap.ui.getCore();
		// Print out the list of all currently loaded libraries
		jQuery.sap.log.info("--- Loaded Libraries in INIT of controller ---");		
		var oLibMap = oCore.getLoadedLibraries();
		for (var key in oLibMap) {
			jQuery.sap.log.info("Library name", key);
		}
		
	},

/**
* Similar to onAfterRendering, but this hook is invoked before the controller's View is re-rendered
* (NOT before the first rendering! onInit() is used for that one!).
* @memberOf sapui5.amd.demo.main
*/
//	onBeforeRendering: function() {
//
//	},

/**
* Called when the View has been rendered (so its HTML is part of the document). Post-rendering manipulations of the HTML could be done here.
* This hook is the same one that SAPUI5 controls get after being rendered.
* @memberOf sapui5.amd.demo.main
*/
	onAfterRendering: function() {

		MessageToast.show("Hello World!");
	},

/**
* Called when the Controller is destroyed. Use this one to free resources and finalize activities.
* @memberOf sapui5.amd.demo.main
* 
*/
//	onExit: function() {
//
//	}
	
	});

});